#pragma once

#include <FL/Fl.H>
#include <FL/Fl_Gl_Window.H>
#include <GL/glut.h>
#include "v3.h"
#include "ppc.h"

class FrameBuffer : public Fl_Gl_Window {
public:
  unsigned int *pix;
  int w, h;
  FrameBuffer(int u0, int v0, int _w, int _h);
  void Set(unsigned int color);
  void Set(int u, int v, unsigned int color);
  unsigned int Get(int u, int v);
  void draw();
  void KeyboardHandle();
  int handle(int guievent);
  void MakeChecker(int cw, unsigned int col0,
    unsigned int col1);
  void DrawPoint3D(V3 P, int psize, 
    unsigned int pcol, PPC *ppc);
};
